
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef IVMOB_PRINT_H
#define IVMOB_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrint.h"

#include "server/genPosPrint.h"

#include "server/pomPrint.h"


#include "ivmobPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_IVMOB_STATUS_POSTER_STR ( FILE *out,
     struct IVMOB_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_REF_POSTER_STR ( FILE *out,
     struct IVMOB_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_ODO_POSTER_STR ( FILE *out,
     struct IVMOB_ODO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_MEPOS_POSTER_STR ( FILE *out,
     struct IVMOB_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_STR ( FILE *out,
     struct IVMOB_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_MAX_ACCEL ( FILE *out,
     struct IVMOB_MAX_ACCEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_GYRO_ASSERV ( FILE *out,
     struct IVMOB_GYRO_ASSERV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_GYRO ( FILE *out,
     struct IVMOB_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_GYRO_PARAMS ( FILE *out,
     struct IVMOB_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IVMOB_GYRO_MODE ( FILE *out,
     enum IVMOB_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_ODOMETRY_METHOD ( FILE *out,
     struct IVMOB_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IVMOB_ODOMETRY_MODE ( FILE *out,
     enum IVMOB_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_CART_3DCONFIG ( FILE *out,
     struct IVMOB_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_CART_3DSTATE ( FILE *out,
     struct IVMOB_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_TRACK_PARAMS ( FILE *out,
     struct IVMOB_TRACK_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_VAR_PARAMS ( FILE *out,
     struct IVMOB_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_DYNAMIC_STR ( FILE *out,
     struct IVMOB_DYNAMIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_KINEMATICS_STR ( FILE *out,
     struct IVMOB_KINEMATICS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IVMOB_STATUS_STR ( FILE *out,
     struct IVMOB_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IVMOB_MODE ( FILE *out,
     enum IVMOB_MODE *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_IVMOB_MODE ( FILE *out,
     IVMOB_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_STATUS_STR ( FILE *out,
     IVMOB_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_KINEMATICS_STR ( FILE *out,
     IVMOB_KINEMATICS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_DYNAMIC_STR ( FILE *out,
     IVMOB_DYNAMIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_VAR_PARAMS ( FILE *out,
     IVMOB_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_TRACK_PARAMS ( FILE *out,
     IVMOB_TRACK_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_CART_3DSTATE ( FILE *out,
     IVMOB_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_CART_3DCONFIG ( FILE *out,
     IVMOB_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_ODOMETRY_MODE ( FILE *out,
     IVMOB_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_ODOMETRY_METHOD ( FILE *out,
     IVMOB_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_GYRO_MODE ( FILE *out,
     IVMOB_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_GYRO_PARAMS ( FILE *out,
     IVMOB_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_GYRO ( FILE *out,
     IVMOB_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_GYRO_ASSERV ( FILE *out,
     IVMOB_GYRO_ASSERV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_MAX_ACCEL ( FILE *out,
     IVMOB_MAX_ACCEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_STR ( FILE *out,
     IVMOB_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_MEPOS_POSTER_STR ( FILE *out,
     IVMOB_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_ODO_POSTER_STR ( FILE *out,
     IVMOB_ODO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_REF_POSTER_STR ( FILE *out,
     IVMOB_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IVMOB_STATUS_POSTER_STR ( FILE *out,
     IVMOB_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* IVMOB_PRINT_H */

